Bug 594804 - finds storage devices after it's already found them
finds storage devices after it's already found them
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: anaconda (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Chris Lumens
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-21 12:32 EDT by Bill Nottingham
Modified: 2014-03-16 23:23 EDT (History)
3 users (show)

See Also:
Fixed In Version: anaconda-13.21.51-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 14:44:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2010-05-21 12:32:15 EDT
Description of problem:

As a followup to https://bugzilla.redhat.com/show_bug.cgi?id=594803:

- I select 'Basic storage devices'
- It shows me a list of (one) drive(s)
- I pick it, and hit 'Next'
- I then get a 'Finding storage devices...' dialog.

It appears to odd to be finding storage devices after, from all appearances, it's already found them.

Version-Release number of selected component (if applicable):

20100521 nightly
Comment 2 RHEL Product and Program Management 2010-05-27 09:55:56 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Chris Lumens 2010-05-28 13:18:59 EDT
Well, the first time we've just run through udev's list of devices.  The second time - when you see the dialog - we're inspecting all the devices to see what partitions and filesystems are on them, building and tearing down RAID devices, etc.  That's the slow part and really needs some sort of progress indicator, but it's hard to decide what to put there that doesn't sound overly technical.
Comment 4 Bill Nottingham 2010-05-28 16:43:05 EDT
Perhaps change the second one to 'Inspecting storage devices...'? I dunno.
Comment 5 Chris Lumens 2010-06-04 13:41:33 EDT
There's still a little time before string freeze, and this has always bugged me.  I'll try to come up with a fix in the next week and get it in.
Comment 7 Alexander Todorov 2010-07-07 12:23:33 EDT
In snap #7 I see a dialog that says "Examining storage devices" instead of the "Finding storage devices" in earlier snapshots. Moving to VERIFIED.
Comment 8 releng-rhel@redhat.com 2010-11-10 14:44:39 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.